solver_basic< T, M >

## Public Types

typedef solver_abstract_rep< T, M > | rep
typedef smart_pointer_clone< rep > | base
typedef rep::size_type | size_type
typedef rep::determinant_type | determinant_type

## Public Member Functions

| solver_basic ()
| solver_basic (const csr< T, M > &a, const solver_option &opt=solver_option())
void | update_values (const csr< T, M > &a)
vec< T, M > | trans_solve (const vec< T, M > &b) const
vec< T, M > | solve (const vec< T, M > &b) const
determinant_type | det () const
const solver_option & | option () const
void | set_preconditioner (const solver_basic< T, M > &)
bool | initialized () const
std::string | name () const

## Detailed Description

### template<class T, class M = rheo_default_memory_model>
class rheolef::solver_basic< T, M >

Definition at line 188 of file solver.h.

## Member Typedef Documentation

## rep

typedef solver_abstract_rep<T,M> rep

Definition at line 268 of file solver.h.

## base

typedef smart_pointer_clone<rep> base

Definition at line 269 of file solver.h.

## size_type

typedef rep::size_type size_type

Definition at line 270 of file solver.h.

## determinant_type

typedef rep::determinant_type determinant_type

Definition at line 271 of file solver.h.

## Constructor & Destructor Documentation

## solver_basic() [1/2]

solver_basic

Definition at line 300 of file solver.h.

## solver_basic() [2/2]

solver_basic | ( | const csr< T, M > & | a,
|  | const solver_option & | opt = `solver_option()`
| ) |  |

explicit

Definition at line 306 of file solver.h.

## Member Function Documentation

## update_values()

void update_values | ( | const csr< T, M > & | a | ) |

Definition at line 313 of file solver.h.

## trans_solve()

vec< T, M > trans_solve | ( | const vec< T, M > & | b | ) | const

Definition at line 352 of file solver.h.

## solve()

vec< T, M > solve | ( | const vec< T, M > & | b | ) | const

Definition at line 345 of file solver.h.

## det()

solver_basic< T, M >::determinant_type det

Definition at line 338 of file solver.h.

## option()

const solver_option & option

Definition at line 324 of file solver.h.

## set_preconditioner()

void set_preconditioner | ( | const solver_basic< T, M > & | sa | ) |

Definition at line 331 of file solver.h.

## initialized()

bool initialized

Definition at line 359 of file solver.h.

## name()

std::string name

Definition at line 366 of file solver.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/solver.h